{% extends "lab_10/layout/base.html" %}

{% block header %}
<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a target="_blank" href="{% url 'lab-10:index' %}" class="navbar-brand">Cansky</a>
        </div>
        <div class="collapse navbar-collapse">
          {% if login %}
          <ul class="nav navbar-nav">
              <li><a href="{% url 'lab-10:dashboard' %}">Dashboard</a></li>
           </ul>
           {% endif %}
            <ul class="nav navbar-nav navbar-right">
              {% if login %}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{author}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{author}}</strong></p>
                                        <p class="text-left small">{{kode_identitas}}</p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'lab-9:auth_logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">
                                                Logout </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
                {% else %}
                    <li><a href="{% url 'lab-10:index' %}"><span class="glyphicon glyphicon-user"></span> Login</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>
{% endblock%}
{% block content %}
<section id="data-dashboard">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h2> Dashboard </h2>
        </div>
        <div class="panel-body">
            <p> Username : {{ author }} </p>
            <p> NPM : {{kode_identitas}} </p>
            <p> Role : {{ role }} </p>
            <p>
                <a href="{% url 'lab-10:movie_list' %}" class="btn btn-primary"> Daftar Movie </a> |
                <a href="{% url 'lab-10:list_watch_later' %}" class="btn btn-warning"> Daftar Watch Later </a>
            </p>
        </div>
        <div class="panel-footer">
            <a href="{% url 'lab-10:auth_logout' %}" class="btn btn-danger" onclick="return confirm('Keluar?')">
                Logout </a>
        </div>
    </div>
</section>
<hr>

{% endblock %}
